MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024413Open CASCADE[OCCT] OCCT:Visualizationpublic2013-11-28 15:312019-05-23 12:07
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024413: Visualization - get rid of projection shift from orthographic camera definition
DescriptionThere are several issues remain in camera functionality which should be fixed:
- eliminate projection shift conception;
- update NIS_View::FitAll3d();
- improve Znear,Zfar management.
Additional information
and documentation updates
The projection shift concept was removed. The reference system of the view is now located at the center of screen, in consistence with definition rules of a camera. There is no more Center property of V3d_View, which was originally used to specify shift of projection matrix and to slide reference system of the view along the screen.

This improvement has effect on panning and turning behavior of V3d_View. The panning is now performed by sliding location of V3d_View: At, Eye. The turning around reference system of the view is done as usually, except that the reference system is now located in center of the view.

Fit all operation was modified in order to support perspective projection. The low-level implementation of the operation is now used by both V3d_View and NIS_View. The core behavior of fit all is now unified for these classes, however the principal differences are kept untouched.

There are several changes introduced to Graphic3d_Camera. The internal data structures of the camera is based on Standard_Real data types to avoid redundant application-level conversions and precision errors. The transformation matrices are now can be evaluated both for Standard_Real and Standard_ShortReal value types. The ZNear and ZFar planes can be both negative or positive for orthographic camera projection, providing a trade-off between camera distance and range of ZNear, ZFar in order to reduce difference of exponents of values composing the orientation matrix - to avoid calculation errors. The negative values can be specified to avoid Z-clipping if the reference system of camera goes inside of the model when decreasing camera distance.

The auto z fit mode, since now, has a parameter defining Z-range margin (the one which is usually passed as argument to ZFitAll() method). The V3d_View SetAutoZFitMode(), AutoZFitScaleFactor(), ZFitAll() methods deals with the new parameter.

The code of Select3D_Projector class has been revised. It supports both orientation and projection transformation matrices, which can be naturally set for the projector. The definition of projector was revised in StdSelect_ViewerSelector3d: perspective and orthographic projection parameters are handled properly. Orthographic projector is based only on direction of projection - no more Center property. This makes possible to avoid unnecessary re-projection of sensitives while panning, zooming or moving along the projection ray of the view. These operations do not affect the orthographic projection.

List of changes:

V3d_View

- Center() has been removed. SetCenter() method now changes relative location of the center of screen.
- Panning now translates At, Eye position of the view along the view plane.
- SetViewingVolume() has been removed. The same modifications to viewing volume can be done via camera of the view (Camera()).
- Duplicating method Zoom (CurrX, CurrY) has been removed. The method Zoom (FromX, FromY, ToX, ToY) should be used instead.
- SetAutoZFitMode(), AutoZFitScaleFactor(), ZFitAll() deal with new parameter: Z-range margin.
- Turn() method now performs rotation around view reference system, which is located at center of the screen (around screen axes). Center() has no effect anymore. To produce similar rotation to the previous one, the effect of Center() can be introduced by rotating view around a point with Rotate() method.

Graphic3d_Camera

- ProjectionShift(), SetProjectionShift() are removed.
- SetZNear(), SetZFar() have been replaced by unified SetZRange() method. ZNear, ZFar can be negative for orthographic camera.
- BeginUpdate(), EndUpdate() methods have been replaced by matrix lazy-computation approach. There is no necessity in these methods anymore.
- WindowLimit() method is removed - is redundant. The method had the same meaning as ViewDimensions(), summed up with ProjectionShift().
- ViewDimension(), AxialScale() - type of argument is changed from gp_Pnt to gp_XYZ.

Select3D_Projector

- Added methods to defined both view-transformation and projection-transformation matrices.
- The projector now contains constant projection / orientation state. Previously it was possible to pass handle on the view, so the Project() method was giving projection results for actual view projection. However, the same handle was not used for other projector methods: Transform(), Transformation().
- SetView() instead of saving reference on the passed view, captures current state of its projection / orientation matrices.

Porting notes:

It might be necessary to revise code of the application, which deals with Center() method of V3d_View. The Center() was used to pan V3d view by virtually moving center of the screen with respect to projection ray passed through Eye and At points. There is no more need to derive the panning from the Center parameter in order to get camera-like position of eye and look at coordinates. The Eye(), At() now returns these coordinates directly. When porting code dealing with Center(), the Eye() and At() could be adjusted instead. The behavior of Turn(), Panning(), Pan() view operations is changed. Please refer to "List of changes" for more details.
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon panning_with_projection_shift.png (14,908 bytes) 2014-02-04 14:22
png file icon panning_with_translation.png (13,462 bytes) 2014-02-04 14:23

- Relationships
parent of 0030440verifiedbugmaster Community Visualization - Graphic3d_Camera::Frustum() returns wrong planes in portrait mode 
has duplicate 0024287closedduv Open CASCADE Improving camera behavior 
related to 0024119closedmach22 Community Dynamic operations on the v3d view can not be simultaneously used with V3d_View::Eye(...) getter 
related to 0024711closedapl Open CASCADE Get rid of projection shift - port mfc samples 
related to 0024720closedbugmaster Open CASCADE Some standard samples are not compiled after latest integration to visualisation 
related to 0024728closedbugmaster Open CASCADE A lot of tests are crashed on vdump command on Windows in debug mode 
related to 0023191closedbugmaster Open CASCADE Visualization - small objects displayed with visual artifacts 
related to 0025575closedbugmaster Open CASCADE Visualization - remove V3d_Static.hxx 
related to 0028460closedbugmaster Open CASCADE Visualization - V3d_View::SetZoom() performs checks which then ignored 

-  Notes
(0027745)
apl (developer)
2014-02-04 12:49
edited on: 2014-02-04 12:49

Projection shift and its role.

The reported problem of projection shift concept related to projection "precision" issues. In current implementation, the projection shift - is a translation of OpenGL projection (!) matrix along its horizontal or vertical axis.

The idea which lead to use of the projection shift concept is appeared during porting of V3d_View behavior on current camera classes. The V3d_View has several peculiarities related to representation of view projection in user-interface terms. The view defines projection with view referential point "At", projection of view "Proj", position of spectacular "Eye" and the translation, called "Center" against line passed through "At" point trough "Proj" vector. The translation is done in view plane. In general, this translation stands for panning. Another role that center plays - is a reference when converting model space point coordinates into view plane with "Convert" methods. E.g. user can define a referential axis with {"At", "Proj"} and perform panning of view, ensuring that coordinates produced by "Convert" for the same model space point will not change with panning - the user can "Convert" the point once, and then set center to it from any panning. The "Center" also applies to window-to-view mapping term of V3d_View. There are several inconsistencies:
1) Panning for perspective view is unacceptable.
2) Such idea contradicts with common sense of projection definition - normally line from "at"
to "eye" point lie in center of the screen. Here, being panned, the center of screen moves
away from that line.
3) There are two methods SetCenter - one defining center as pixel coordinates along screen,
another one as {u,v} panning coordinates against "At" point. The difference is that pixel
coordinates are relative to screen and slide in space with panning, while the {u,v} coordinates
do not change during panning.
4) Precision problems related to point conversion with applied "Center" panning.

The problem with projection shift can be resolved by moving this concept from projection matrix (and hence OpenGL operations) to pure "Convert" operations performed at level of V3d_View.

Removing projection shift idea completely - unification with cameras.

Another approach is to make the interface of V3d_View more clear by making agreement that "Center" - is always the center of the screen. Thus, the method returning value of center is not necessary anymore, and the methods for setting the center SetCenter(pixel), SetCenter(u,v) are to relocate the center of the screen to the new coordinates given as pixels or {u,v} relative to current view projection.

In this approach the panning should translate "at" and "eye" point so as they are always correspond to center of the screen. The "Convert" methods will return {u=0,v=0} for model points lying in center of the screen - the referential axis is now bound to the center. This could be more practical as the user could set center of view to any desired point from model space by simply specifying the Center to {u,v} coordinates obtained by "Converting" the point.

This approach gives the following "effect" for V3d_View interface and behavior:
1) At, Eye are correspond to center of the screen;
2) SetCenter methods relocate center of the screen against current projection.
3) Center method is removed;
4) SetViewingVolume (is it used?) method is removed. Scale/ZNear/ZFar can be changed directly as camera properties.
5) "Window coordiantes" now calculated relatively to the center of screen - during porting it might be necessary to check that window coordinates for "fit all" operations are computed properly (if "Convert", "Project" are used for this purpose - there are changes should be required).
6) Convert, ConvertToGrid, ConvertWithProj are calculated relatively to center of the screen.

(0027789)
duv (developer)
2014-02-06 09:49

Dear apl,
I think unification is preferred. It will facilitate development and support of camera system greatly.
(0027825)
apl (developer)
2014-02-10 11:50

Difference in Z-Near, Z-Far management and Z-fit operations has nothing to do with "camera projection shift", hence these points to be treated in dedicated issue (from its description) 0024287
(0027915)
apl (developer)
2014-02-17 13:22

Dear kgv,

Could you please review branch CR24413_1?

It contains all of the improvements all together:
- Removed projection shift concept, and "center" property of V3d_View.
- Revised AutoZFit mode of V3d_View to add control for avoiding clipping of "infinite" structures.
- Modified V3d_View, NIS_View FitAll method such that perspective projection is now taken into account.
- Improved Select3D_Projector to work with natural view-transformation, view-projection matrices.
- Adjusted code of StdSelect_ViewerSelector3d to new approach of panning, without "center". Improved the class to avoid unnecessary re-projections of sensitives on panning, depth panning and zooming of orthographic view. For perspective view, the re-projection is done for every change of major parameters.
(0027933)
kgv (developer)
2014-02-17 19:04

Dear bugmaster,

please test the patch.
(0027935)
abv (manager)
2014-02-17 19:42

Anton, please consider changing syntax of the command vviewparams so as to avoid necessity to use quotes for grouping arguments; this is somehow rarely used and difficult to guess. It is better to use approach widely adopted in Tcl: have a key followed by list of arguments.

For instance, instead of:

vviewparams scale=${scale} "proj=${proj_X} ${proj_Y} ${proj_Z}" "up=${up_X} ${up_Y} ${up_Z}" "at=${at_X} ${at_Y} ${at_Z}"

you would have:

vviewparams -scale ${scale} -proj ${proj_X} ${proj_Y} ${proj_Z} -up ${up_X} ${up_Y} ${up_Z} -at ${at_X} ${at_Y} ${at_Z}
(0027947)
mkv (tester)
2014-02-18 12:40

Dear BugMaster,

Branch CR24413_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 0313f800f0f7bd39e15a5b6aa66f4f6db946e984

Number of compiler warnings:

occt component :
Linux: 33 (29 on master)
Windows: 0 (0 on master)

New additional warnings on Linux platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR24413_1-master_build_occt_linux/1/warnings16Result/package.1928144792/ [^]
Select3D_Projector.cxx:159, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here
Select3D_Projector.cxx:175, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24413-1-master-occt/Windows-32-VC9/bugs/vis/buc60688.html [^]
bugs vis(004) buc60688: FAILED

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 382547108 / 383237256
Total CPU difference: 66006.19000000019 / 42570.57999999976

Testing on Windows:
Total MEMORY difference: 429393188 / 429022388
Total CPU difference: 30921.953125 / 33299.015625

There are following differences in images found by testdiff.
http://occt-tests/CR24413-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24413-1-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs modalg_5(010) bug24012: bug24012_Driver1_Viewer1_View1.png differs
(0027979)
apl (developer)
2014-02-20 11:48
edited on: 2014-02-20 11:49

There are following differences in testdiff images found and analyzed:

Issues:
- IMAGE mesh advanced_shading A5 (issue with fit all - fixed)
- IMAGE bugs modalg_4 bug22383 (issue with fit all - fixed)
- IMAGE bugs modalg_5 bug24012 (different orientation - fixed)

Set of perf tests:
- IMAGE perf multi_mesh_shading A4
- IMAGE perf multi_mesh_shading A1
- IMAGE perf multi_mesh_shading A2
- IMAGE perf single_mesh_wireframe A4
- IMAGE perf single_mesh_wireframe A1
- IMAGE perf single_mesh_wireframe A2
- IMAGE perf single_mesh_shading A4
- IMAGE perf single_mesh_shading A1
- IMAGE perf single_mesh_shading A2
- IMAGE perf single_mesh_shrink A4
- IMAGE perf single_mesh_shrink A4
- IMAGE perf single_mesh_shrink A2
- IMAGE perf multi_mesh_wireframe A4
- IMAGE perf multi_mesh_wireframe A1
- IMAGE perf multi_mesh_wireframe A2
- IMAGE perf multi_mesh_shrink A4
- IMAGE perf multi_mesh_shrink A1
- IMAGE perf multi_mesh_shrink A2
Minor differences result of new behavior of V3d_View::Turn operation - it now corresponds to rotation around center of view reference, which is center of view.

Set of perspective test cases:
IMAGE bugs vis bug349
IMAGE bugs vis bug349
IMAGE bugs vis bug349_1
IMAGE bugs vis bug280_3
IMAGE bugs vis bug280_2
IMAGE bugs vis bug24001
IMAGE bugs vis bug24001
IMAGE bugs vis bug24001
IMAGE bugs vis bug24001
The results are OK - improved "fit all" for perspective projection

(0027980)
apl (developer)
2014-02-20 12:06

Dear kgv,

Branch CR24413_2 is ready for review (CR24413_1 contains history of recent changes).
(0027981)
kgv (developer)
2014-02-20 12:31

Please test new patch.
(0027997)
mkv (tester)
2014-02-21 16:56
edited on: 2014-02-21 17:01

Dear BugMaster,

Branch CR24413_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 19dd1772fdb3935792907e1ae749d5e830bbadf4

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24413-2-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24413-2-master-occt/Windows-32-VC9/summary.html [^]
3rdparty export A2, A3, A4, A5, A6, A7
demo samples raytrace
v3d raytrace bug24130, connected, plastic

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24413_2/job/mnt-CR24413_2-master_products_tests_linux_start/label=Debian60-64,tests_group=emesh,tests_subgroup=002/4/HTML_Report/? [^]
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24413_2/job/mnt-CR24413_2-master_products_tests_windows_start/label=windows_test,tests_group=emesh,tests_subgroup=002/1/HTML_Report/? [^]
emesh bugs(002) bug24034_2

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 382699744 / 381959196
Total CPU difference: 40524.84000000025 / 45114.180000000015

Testing on Windows:
Total MEMORY difference: 429565744 / 428499952
Total CPU difference: 34295.90625 / 34630.3125

There are follwing differences in images found by testdiff.
http://occt-tests/CR24413-2-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24413-2-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs vis bug61: bug61_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_8: bug281_8_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug22149: bug22149_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug23747_1: bug23747_1_with_envmap.png differs
IMAGE bugs vis bug281_9: bug281_9_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug21171_1: bug21171_1_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug21171_3: bug21171_3_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_7: bug281_7_Driver1_Viewer1_View1.png differs
IMAGE bugs vis buc60818: buc60818_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_1: bug281_11_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_1: bug281_12_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_1: bug281_13_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_1: bug281_1_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_1: bug281_10_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug349: bug349_1_Driver1_Viewer1_View1_new.png differs
IMAGE bugs vis bug349: bug349_Driver1_Viewer1_View1_new.png differs
IMAGE bugs vis bug349_1: bug349_1_Driver1_Viewer1_View1_new.png differs
IMAGE bugs vis bug281_10: bug281_10_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_13: bug281_13_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_6: bug281_6_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_5: bug281_5_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_3: bug281_3_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug280_3: bug280_3_Driver1_Viewer1_View1_new.png differs
IMAGE bugs vis bug280_2: bug280_2_Driver1_Viewer1_View1_new.png differs
IMAGE bugs vis bug281_11: bug281_11_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug24001: bug24001_persp.png differs
IMAGE bugs vis bug24001: bug24001_afterSwitch.png differs
IMAGE bugs vis bug24001: bug24001_stereoR.png differs
IMAGE bugs vis bug24001: bug24001_stereoL.png differs
IMAGE bugs vis bug281_2: bug281_2_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_12: bug281_12_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug281_4: bug281_4_Driver1_Viewer1_View1.png differs

(0028078)
apl (developer)
2014-02-28 16:09

Dear kgv,

Could you please review branch CR24413_3 (CR24413_2 contains recent history)?

The failed products test cases were also updated: CR24413 in products repository.
(0028081)
kgv (developer)
2014-02-28 17:37

Dear bugmaster,

please test CR24413_4 branch.
(0028103)
mkv (tester)
2014-03-03 18:13
edited on: 2014-03-06 11:45

Dear BugMaster,

Branch CR24413_4 and CR24413 from GIT products master was compiled on Linux and Windows platforms and tested.
SHA-1: 4c570981e71e9835ccf70f5715e165d5c6bb5da6
SHA-1: e206724e04daa388466e761fb7a57fe45981dd03

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
On Linux, for example

http://occt-tests/CR24413-4-CR24413-occt/Debian60-64/mesh/advanced_shading/A1.html [^]
...
vinit
DRAWEXE: symbol lookup error: /dn61/LocalWOK/wok_entities/LOC/dev/CR24413-4-CR24413-occt/lib/libTKOpenGl.so.0: undefined symbol: _ZNK16Graphic3d_Camera16UpdateProjectionIfEERNS_17TransformMatricesIT_EES4_

(0028117)
apl (developer)
2014-03-04 12:19

Dear kgv,

Could you please review corrections in CR24413_4?
(0028118)
kgv (developer)
2014-03-04 12:25

No remarks, please test CR24413_4.
(0028140)
mkv (tester)
2014-03-04 19:56
edited on: 2014-03-06 11:45

Dear BugMaster,

Branch CR24413_4 and CR24413 from GIT products master was compiled on Linux and Windows platforms and tested.
SHA-1: d104c2682a92ed6f87918a04ce516d8abbd3b499
SHA-1: e206724e04daa388466e761fb7a57fe45981dd03

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 382900272 / 382826772
Total CPU difference: 41606.2500000001 / 52926.14000000003

Testing on Windows:
Total MEMORY difference: 429147708 / 428893460
Total CPU difference: 31610.640625 / 32992.765625

There are following differences in images found by testdiff.
http://occt-tests/CR24413-4-CR24413-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE v3d glsl phong_views: phong_views_2.png differs

(0028142)
apl (developer)
2014-03-05 10:34
edited on: 2014-03-05 10:35

Dear mkv,

The difference in image for second view is more probably related to the issue with sharing shader state between different views. The same image can be obtained by adding vrepaint or vfit before dumping second view. The bug for the shader issue is reported as 0024687, and the problem, I guess, should be analyzed and fixed within that context. There is no point to resolve the problem within scope of 0024413.

Please proceed.

(0028144)
mkv (tester)
2014-03-05 11:51
edited on: 2014-03-06 11:44

OK.
Branches CR24413_4 and CR24413 are TESTED.


- Related Changesets
occt: master 197ac94e
Timestamp: 2014-03-06 11:15:53
Author: abv
Committer: abv
Details ] Diff ]
0024413: Visualization - get rid of projection shift from orthographic camera definition

From now on, the panning behavior of V3d_View completely corresponds to equal operations with camera. There is no more confusing "Center" property and "ProjectionShift" which were used to introduce composite panning, while respecting view referential points: At, Eye unchanged. The V3d_View::FitAll approach has been rewritten to do "fit all" geometrically, operating with frustum, to make it working for both orthographic and perspective projections.

1) Getting rid of ProjectionShift and Center property:
- Removed ProjectionShift property of Graphic3d_Camera.
- Removed confusing Center property of V3d_View (related to projection shift).
- Removed redundant code related to the Center property of V3d_View.
- Removed WindowLimit method of Graphic3d_Camera - no more used.

2) Improvements of fit all and selector:
- Improved FitAll operation of V3d_View and reused it in NIS_View - the perspective projection is now handled correctly.
- Revised code of Select3D_Projector class - can be defined with any given projection and model-view matrices.
- Modified StdSelect_ViewerSelector3d and ensured that panning, zooming and going into the view do not lead to unwanted re-projection of sensitives. The handling of perspective selection is revised.
- Take into account graphical boundaries of infinite structure on ZFitAll.

3) Improvements of camera:
- Introduced new z range scale parameter for V3d_View::AutoZFit. See, V3d_View::AutoZFitMode.
- Allow negative ZNear, ZFar for orthographic camera to avoid clipping of viewed model.
- Moved camera ZNear, ZFar validity checks to V3d_View level.
- Use more meaningful Standard_ShortReal relative precision for ZNear, ZFar ranges computed by ZFitAll.
- Use Standard_Real type for camera projection and orientation matrices.
- Extended camera to generate both Standard_Real and Standard_ShortReal transformation matrices using the same matrix evaluation methods and converted input parameters.

Correcting picking tests for perspective view

Modify v3d face test cases for 1px changes in face picking

Modified test cases for new arguments of vviewparams DRAWEXE command
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Mat4.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_Mat4d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Vec.hxx Diff ] File ]
mod - src/NCollection/NCollection_Mat4.hxx Diff ] File ]
mod - src/NIS/NIS_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/Select3D/Select3D.cdl Diff ] File ]
mod - src/Select3D/Select3D_Projector.cdl Diff ] File ]
mod - src/Select3D/Select3D_Projector.cxx Diff ] File ]
mod - src/Select3D/Select3D_Projector.lxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cdl Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.lxx Diff ] File ]
mod - src/V3d/V3d_View.cdl Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View_3.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cdl Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - tests/bugs/modalg_2/bug20785 Diff ] File ]
mod - tests/bugs/modalg_2/bug21255 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_10 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_11 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_3 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_4 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_40 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_41 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_42 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_43 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_44 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_5 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_6 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_7 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_8 Diff ] File ]
mod - tests/bugs/modalg_2/bug21261_9 Diff ] File ]
mod - tests/bugs/modalg_2/bug21415 Diff ] File ]
mod - tests/bugs/modalg_2/bug21909 Diff ] File ]
mod - tests/bugs/modalg_4/bug895 Diff ] File ]
mod - tests/bugs/modalg_5/bug24012 Diff ] File ]
mod - tests/bugs/moddata_1/bug20 Diff ] File ]
mod - tests/bugs/vis/buc60688 Diff ] File ]
mod - tests/bugs/vis/bug113 Diff ] File ]
mod - tests/bugs/vis/bug1174 Diff ] File ]
mod - tests/bugs/vis/bug128 Diff ] File ]
mod - tests/bugs/vis/bug137_4 Diff ] File ]
mod - tests/bugs/vis/bug137_5 Diff ] File ]
mod - tests/bugs/vis/bug215 Diff ] File ]
mod - tests/bugs/vis/bug218 Diff ] File ]
mod - tests/bugs/vis/bug22313 Diff ] File ]
mod - tests/bugs/vis/bug22701 Diff ] File ]
mod - tests/bugs/vis/bug23652 Diff ] File ]
mod - tests/bugs/vis/bug280_2 Diff ] File ]
mod - tests/bugs/vis/bug280_3 Diff ] File ]
mod - tests/bugs/vis/bug281_1 Diff ] File ]
mod - tests/bugs/vis/bug319 Diff ] File ]
mod - tests/bugs/vis/bug349 Diff ] File ]
mod - tests/bugs/vis/bug349_1 Diff ] File ]
mod - tests/bugs/vis/bug544 Diff ] File ]
mod - tests/v3d/edge/A3 Diff ] File ]
mod - tests/v3d/edge/A4 Diff ] File ]
mod - tests/v3d/edge/A5 Diff ] File ]
mod - tests/v3d/edge/A6 Diff ] File ]
mod - tests/v3d/edge/A7 Diff ] File ]
mod - tests/v3d/edge/A8 Diff ] File ]
mod - tests/v3d/edge/A9 Diff ] File ]
mod - tests/v3d/edge/B1 Diff ] File ]
mod - tests/v3d/edge/C3 Diff ] File ]
mod - tests/v3d/edge/C4 Diff ] File ]
mod - tests/v3d/edge/C5 Diff ] File ]
mod - tests/v3d/edge/C6 Diff ] File ]
mod - tests/v3d/edge/C7 Diff ] File ]
mod - tests/v3d/edge/C8 Diff ] File ]
mod - tests/v3d/edge/C9 Diff ] File ]
mod - tests/v3d/edge/D1 Diff ] File ]
mod - tests/v3d/edge/D2 Diff ] File ]
mod - tests/v3d/edge/D3 Diff ] File ]
mod - tests/v3d/edge/D4 Diff ] File ]
mod - tests/v3d/edge/D5 Diff ] File ]
mod - tests/v3d/edge/D6 Diff ] File ]
mod - tests/v3d/edge/D7 Diff ] File ]
mod - tests/v3d/edge/D8 Diff ] File ]
mod - tests/v3d/edge/D9 Diff ] File ]
mod - tests/v3d/edge/E1 Diff ] File ]
mod - tests/v3d/edge/E2 Diff ] File ]
mod - tests/v3d/edge/E3 Diff ] File ]
mod - tests/v3d/edge/E4 Diff ] File ]
mod - tests/v3d/edge/E5 Diff ] File ]
mod - tests/v3d/edge/E6 Diff ] File ]
mod - tests/v3d/edge/E7 Diff ] File ]
mod - tests/v3d/edge/E8 Diff ] File ]
mod - tests/v3d/edge/E9 Diff ] File ]
mod - tests/v3d/edge/F1 Diff ] File ]
mod - tests/v3d/edge/F2 Diff ] File ]
mod - tests/v3d/edge_face/A3 Diff ] File ]
mod - tests/v3d/edge_face/A4 Diff ] File ]
mod - tests/v3d/edge_face/A5 Diff ] File ]
mod - tests/v3d/edge_face/A6 Diff ] File ]
mod - tests/v3d/edge_face/A7 Diff ] File ]
mod - tests/v3d/edge_face/A8 Diff ] File ]
mod - tests/v3d/edge_face/A9 Diff ] File ]
mod - tests/v3d/edge_face/B1 Diff ] File ]
mod - tests/v3d/edge_face/C3 Diff ] File ]
mod - tests/v3d/edge_face/C4 Diff ] File ]
mod - tests/v3d/edge_face/C5 Diff ] File ]
mod - tests/v3d/edge_face/C6 Diff ] File ]
mod - tests/v3d/edge_face/C7 Diff ] File ]
mod - tests/v3d/edge_face/C8 Diff ] File ]
mod - tests/v3d/edge_face/C9 Diff ] File ]
mod - tests/v3d/edge_face/D1 Diff ] File ]
mod - tests/v3d/edge_face/D2 Diff ] File ]
mod - tests/v3d/edge_face/D3 Diff ] File ]
mod - tests/v3d/edge_face/D4 Diff ] File ]
mod - tests/v3d/edge_face/D5 Diff ] File ]
mod - tests/v3d/edge_face/D6 Diff ] File ]
mod - tests/v3d/edge_face/D7 Diff ] File ]
mod - tests/v3d/edge_face/D8 Diff ] File ]
mod - tests/v3d/edge_face/D9 Diff ] File ]
mod - tests/v3d/edge_face/E1 Diff ] File ]
mod - tests/v3d/edge_face/E2 Diff ] File ]
mod - tests/v3d/edge_face/E3 Diff ] File ]
mod - tests/v3d/edge_face/E4 Diff ] File ]
mod - tests/v3d/edge_face/E5 Diff ] File ]
mod - tests/v3d/edge_face/E6 Diff ] File ]
mod - tests/v3d/edge_face/E7 Diff ] File ]
mod - tests/v3d/edge_face/E8 Diff ] File ]
mod - tests/v3d/edge_face/E9 Diff ] File ]
mod - tests/v3d/edge_face/F1 Diff ] File ]
mod - tests/v3d/edge_face/F2 Diff ] File ]
mod - tests/v3d/edge_face/F5 Diff ] File ]
mod - tests/v3d/edge_face/F6 Diff ] File ]
mod - tests/v3d/edge_face/F7 Diff ] File ]
mod - tests/v3d/edge_face/F8 Diff ] File ]
mod - tests/v3d/edge_face/F9 Diff ] File ]
mod - tests/v3d/edge_face/G1 Diff ] File ]
mod - tests/v3d/edge_face/G2 Diff ] File ]
mod - tests/v3d/edge_face/G3 Diff ] File ]
mod - tests/v3d/edge_face/H5 Diff ] File ]
mod - tests/v3d/edge_face/H6 Diff ] File ]
mod - tests/v3d/edge_face/H7 Diff ] File ]
mod - tests/v3d/edge_face/H8 Diff ] File ]
mod - tests/v3d/edge_face/H9 Diff ] File ]
mod - tests/v3d/edge_face/I1 Diff ] File ]
mod - tests/v3d/edge_face/I2 Diff ] File ]
mod - tests/v3d/edge_face/I3 Diff ] File ]
mod - tests/v3d/edge_face/I4 Diff ] File ]
mod - tests/v3d/edge_face/I5 Diff ] File ]
mod - tests/v3d/edge_face/I6 Diff ] File ]
mod - tests/v3d/edge_face/I7 Diff ] File ]
mod - tests/v3d/edge_face/I8 Diff ] File ]
mod - tests/v3d/edge_face/I9 Diff ] File ]
mod - tests/v3d/edge_face/J1 Diff ] File ]
mod - tests/v3d/edge_face/J2 Diff ] File ]
mod - tests/v3d/edge_face/J3 Diff ] File ]
mod - tests/v3d/edge_face/J4 Diff ] File ]
mod - tests/v3d/edge_face/J5 Diff ] File ]
mod - tests/v3d/edge_face/J6 Diff ] File ]
mod - tests/v3d/edge_face/J7 Diff ] File ]
mod - tests/v3d/edge_face/J8 Diff ] File ]
mod - tests/v3d/edge_face/J9 Diff ] File ]
mod - tests/v3d/edge_face/K1 Diff ] File ]
mod - tests/v3d/edge_face/K2 Diff ] File ]
mod - tests/v3d/edge_face/K3 Diff ] File ]
mod - tests/v3d/edge_face/K4 Diff ] File ]
mod - tests/v3d/edge_face/K7 Diff ] File ]
mod - tests/v3d/edge_face/K8 Diff ] File ]
mod - tests/v3d/edge_face/K9 Diff ] File ]
mod - tests/v3d/edge_face/L1 Diff ] File ]
mod - tests/v3d/edge_face/L2 Diff ] File ]
mod - tests/v3d/edge_face/L3 Diff ] File ]
mod - tests/v3d/edge_face/L4 Diff ] File ]
mod - tests/v3d/edge_face/L5 Diff ] File ]
mod - tests/v3d/edge_face/M7 Diff ] File ]
mod - tests/v3d/edge_face/M8 Diff ] File ]
mod - tests/v3d/edge_face/M9 Diff ] File ]
mod - tests/v3d/edge_face/N1 Diff ] File ]
mod - tests/v3d/edge_face/N2 Diff ] File ]
mod - tests/v3d/edge_face/N3 Diff ] File ]
mod - tests/v3d/edge_face/N4 Diff ] File ]
mod - tests/v3d/edge_face/N5 Diff ] File ]
mod - tests/v3d/edge_face/N6 Diff ] File ]
mod - tests/v3d/edge_face/N7 Diff ] File ]
mod - tests/v3d/edge_face/N8 Diff ] File ]
mod - tests/v3d/edge_face/N9 Diff ] File ]
mod - tests/v3d/edge_face/O1 Diff ] File ]
mod - tests/v3d/edge_face/O2 Diff ] File ]
mod - tests/v3d/edge_face/O3 Diff ] File ]
mod - tests/v3d/edge_face/O4 Diff ] File ]
mod - tests/v3d/edge_face/O5 Diff ] File ]
mod - tests/v3d/edge_face/O6 Diff ] File ]
mod - tests/v3d/edge_face/O7 Diff ] File ]
mod - tests/v3d/edge_face/O8 Diff ] File ]
mod - tests/v3d/edge_face/O9 Diff ] File ]
mod - tests/v3d/edge_face/P1 Diff ] File ]
mod - tests/v3d/edge_face/P2 Diff ] File ]
mod - tests/v3d/edge_face/P3 Diff ] File ]
mod - tests/v3d/edge_face/P4 Diff ] File ]
mod - tests/v3d/edge_face/P5 Diff ] File ]
mod - tests/v3d/edge_face/P6 Diff ] File ]
mod - tests/v3d/edge_solid/A3 Diff ] File ]
mod - tests/v3d/edge_solid/A4 Diff ] File ]
mod - tests/v3d/edge_solid/A5 Diff ] File ]
mod - tests/v3d/edge_solid/A6 Diff ] File ]
mod - tests/v3d/edge_solid/A7 Diff ] File ]
mod - tests/v3d/edge_solid/A8 Diff ] File ]
mod - tests/v3d/edge_solid/A9 Diff ] File ]
mod - tests/v3d/edge_solid/B1 Diff ] File ]
mod - tests/v3d/edge_solid/C3 Diff ] File ]
mod - tests/v3d/edge_solid/C4 Diff ] File ]
mod - tests/v3d/edge_solid/C5 Diff ] File ]
mod - tests/v3d/edge_solid/C6 Diff ] File ]
mod - tests/v3d/edge_solid/C7 Diff ] File ]
mod - tests/v3d/edge_solid/C8 Diff ] File ]
mod - tests/v3d/edge_solid/C9 Diff ] File ]
mod - tests/v3d/edge_solid/D1 Diff ] File ]
mod - tests/v3d/edge_solid/D2 Diff ] File ]
mod - tests/v3d/edge_solid/D3 Diff ] File ]
mod - tests/v3d/edge_solid/D4 Diff ] File ]
mod - tests/v3d/edge_solid/D5 Diff ] File ]
mod - tests/v3d/edge_solid/D6 Diff ] File ]
mod - tests/v3d/edge_solid/D7 Diff ] File ]
mod - tests/v3d/edge_solid/D8 Diff ] File ]
mod - tests/v3d/edge_solid/D9 Diff ] File ]
mod - tests/v3d/edge_solid/E1 Diff ] File ]
mod - tests/v3d/edge_solid/E2 Diff ] File ]
mod - tests/v3d/edge_solid/E3 Diff ] File ]
mod - tests/v3d/edge_solid/E4 Diff ] File ]
mod - tests/v3d/edge_solid/E5 Diff ] File ]
mod - tests/v3d/edge_solid/E6 Diff ] File ]
mod - tests/v3d/edge_solid/E7 Diff ] File ]
mod - tests/v3d/edge_solid/E8 Diff ] File ]
mod - tests/v3d/edge_solid/E9 Diff ] File ]
mod - tests/v3d/edge_solid/F1 Diff ] File ]
mod - tests/v3d/edge_solid/F2 Diff ] File ]
mod - tests/v3d/edge_solid/F5 Diff ] File ]
mod - tests/v3d/edge_solid/F6 Diff ] File ]
mod - tests/v3d/edge_solid/F7 Diff ] File ]
mod - tests/v3d/edge_solid/F8 Diff ] File ]
mod - tests/v3d/edge_solid/F9 Diff ] File ]
mod - tests/v3d/edge_solid/G1 Diff ] File ]
mod - tests/v3d/edge_solid/G2 Diff ] File ]
mod - tests/v3d/edge_solid/G3 Diff ] File ]
mod - tests/v3d/edge_solid/H5 Diff ] File ]
mod - tests/v3d/edge_solid/H6 Diff ] File ]
mod - tests/v3d/edge_solid/H7 Diff ] File ]
mod - tests/v3d/edge_solid/H8 Diff ] File ]
mod - tests/v3d/edge_solid/H9 Diff ] File ]
mod - tests/v3d/edge_solid/I1 Diff ] File ]
mod - tests/v3d/edge_solid/I2 Diff ] File ]
mod - tests/v3d/edge_solid/I3 Diff ] File ]
mod - tests/v3d/edge_solid/I4 Diff ] File ]
mod - tests/v3d/edge_solid/I5 Diff ] File ]
mod - tests/v3d/edge_solid/I6 Diff ] File ]
mod - tests/v3d/edge_solid/I7 Diff ] File ]
mod - tests/v3d/edge_solid/I8 Diff ] File ]
mod - tests/v3d/edge_solid/I9 Diff ] File ]
mod - tests/v3d/edge_solid/J1 Diff ] File ]
mod - tests/v3d/edge_solid/J2 Diff ] File ]
mod - tests/v3d/edge_solid/J3 Diff ] File ]
mod - tests/v3d/edge_solid/J4 Diff ] File ]
mod - tests/v3d/edge_solid/J5 Diff ] File ]
mod - tests/v3d/edge_solid/J6 Diff ] File ]
mod - tests/v3d/edge_solid/J7 Diff ] File ]
mod - tests/v3d/edge_solid/J8 Diff ] File ]
mod - tests/v3d/edge_solid/J9 Diff ] File ]
mod - tests/v3d/edge_solid/K1 Diff ] File ]
mod - tests/v3d/edge_solid/K2 Diff ] File ]
mod - tests/v3d/edge_solid/K3 Diff ] File ]
mod - tests/v3d/edge_solid/K4 Diff ] File ]
mod - tests/v3d/edge_solid/K7 Diff ] File ]
mod - tests/v3d/edge_solid/K8 Diff ] File ]
mod - tests/v3d/edge_solid/K9 Diff ] File ]
mod - tests/v3d/edge_solid/L1 Diff ] File ]
mod - tests/v3d/edge_solid/L2 Diff ] File ]
mod - tests/v3d/edge_solid/L3 Diff ] File ]
mod - tests/v3d/edge_solid/L4 Diff ] File ]
mod - tests/v3d/edge_solid/L5 Diff ] File ]
mod - tests/v3d/edge_solid/M7 Diff ] File ]
mod - tests/v3d/edge_solid/M8 Diff ] File ]
mod - tests/v3d/edge_solid/M9 Diff ] File ]
mod - tests/v3d/edge_solid/N1 Diff ] File ]
mod - tests/v3d/edge_solid/N2 Diff ] File ]
mod - tests/v3d/edge_solid/N3 Diff ] File ]
mod - tests/v3d/edge_solid/N4 Diff ] File ]
mod - tests/v3d/edge_solid/N5 Diff ] File ]
mod - tests/v3d/edge_solid/N6 Diff ] File ]
mod - tests/v3d/edge_solid/N7 Diff ] File ]
mod - tests/v3d/edge_solid/N8 Diff ] File ]
mod - tests/v3d/edge_solid/N9 Diff ] File ]
mod - tests/v3d/edge_solid/O1 Diff ] File ]
mod - tests/v3d/edge_solid/O2 Diff ] File ]
mod - tests/v3d/edge_solid/O3 Diff ] File ]
mod - tests/v3d/edge_solid/O4 Diff ] File ]
mod - tests/v3d/edge_solid/O5 Diff ] File ]
mod - tests/v3d/edge_solid/O6 Diff ] File ]
mod - tests/v3d/edge_solid/O7 Diff ] File ]
mod - tests/v3d/edge_solid/O8 Diff ] File ]
mod - tests/v3d/edge_solid/O9 Diff ] File ]
mod - tests/v3d/edge_solid/P1 Diff ] File ]
mod - tests/v3d/edge_solid/P2 Diff ] File ]
mod - tests/v3d/edge_solid/P3 Diff ] File ]
mod - tests/v3d/edge_solid/P4 Diff ] File ]
mod - tests/v3d/edge_solid/P5 Diff ] File ]
mod - tests/v3d/edge_solid/P6 Diff ] File ]
mod - tests/v3d/face/A3 Diff ] File ]
mod - tests/v3d/face/A4 Diff ] File ]
mod - tests/v3d/face/A5 Diff ] File ]
mod - tests/v3d/face/A6 Diff ] File ]
mod - tests/v3d/face/A7 Diff ] File ]
mod - tests/v3d/face/A8 Diff ] File ]
mod - tests/v3d/face/A9 Diff ] File ]
mod - tests/v3d/face/B1 Diff ] File ]
mod - tests/v3d/face/B2 Diff ] File ]
mod - tests/v3d/face/B3 Diff ] File ]
mod - tests/v3d/face/B4 Diff ] File ]
mod - tests/v3d/face/B5 Diff ] File ]
mod - tests/v3d/face/B6 Diff ] File ]
mod - tests/v3d/face/B7 Diff ] File ]
mod - tests/v3d/face/B8 Diff ] File ]
mod - tests/v3d/face/B9 Diff ] File ]
mod - tests/v3d/face/C1 Diff ] File ]
mod - tests/v3d/face/C2 Diff ] File ]
mod - tests/v3d/face/C3 Diff ] File ]
mod - tests/v3d/face/C4 Diff ] File ]
mod - tests/v3d/face/C5 Diff ] File ]
mod - tests/v3d/face/C6 Diff ] File ]
mod - tests/v3d/face/C7 Diff ] File ]
mod - tests/v3d/face/C8 Diff ] File ]
mod - tests/v3d/face/C9 Diff ] File ]
mod - tests/v3d/face/D1 Diff ] File ]
mod - tests/v3d/face/D2 Diff ] File ]
mod - tests/v3d/face/D3 Diff ] File ]
mod - tests/v3d/face/D4 Diff ] File ]
mod - tests/v3d/face/D5 Diff ] File ]
mod - tests/v3d/face/D6 Diff ] File ]
mod - tests/v3d/face/D7 Diff ] File ]
mod - tests/v3d/face/D8 Diff ] File ]
mod - tests/v3d/face/D9 Diff ] File ]
mod - tests/v3d/face/E1 Diff ] File ]
mod - tests/v3d/face/E2 Diff ] File ]
mod - tests/v3d/face/E3 Diff ] File ]
mod - tests/v3d/face/E4 Diff ] File ]
mod - tests/v3d/face/E5 Diff ] File ]
mod - tests/v3d/face/E6 Diff ] File ]
mod - tests/v3d/face/E7 Diff ] File ]
mod - tests/v3d/face/E8 Diff ] File ]
mod - tests/v3d/face/E9 Diff ] File ]
mod - tests/v3d/face/F1 Diff ] File ]
mod - tests/v3d/face/F2 Diff ] File ]
mod - tests/v3d/vertex/A3 Diff ] File ]
mod - tests/v3d/vertex/A4 Diff ] File ]
mod - tests/v3d/vertex/A5 Diff ] File ]
mod - tests/v3d/vertex/A6 Diff ] File ]
mod - tests/v3d/vertex/A7 Diff ] File ]
mod - tests/v3d/vertex/A8 Diff ] File ]
mod - tests/v3d/vertex/A9 Diff ] File ]
mod - tests/v3d/vertex/B1 Diff ] File ]
mod - tests/v3d/vertex/C3 Diff ] File ]
mod - tests/v3d/vertex/C4 Diff ] File ]
mod - tests/v3d/vertex/C5 Diff ] File ]
mod - tests/v3d/vertex/C6 Diff ] File ]
mod - tests/v3d/vertex/C7 Diff ] File ]
mod - tests/v3d/vertex/C8 Diff ] File ]
mod - tests/v3d/vertex/C9 Diff ] File ]
mod - tests/v3d/vertex/D1 Diff ] File ]
mod - tests/v3d/vertex/D2 Diff ] File ]
mod - tests/v3d/vertex/D3 Diff ] File ]
mod - tests/v3d/vertex/D4 Diff ] File ]
mod - tests/v3d/vertex/D5 Diff ] File ]
mod - tests/v3d/vertex/D6 Diff ] File ]
mod - tests/v3d/vertex/D7 Diff ] File ]
mod - tests/v3d/vertex/D8 Diff ] File ]
mod - tests/v3d/vertex/D9 Diff ] File ]
mod - tests/v3d/vertex/E1 Diff ] File ]
mod - tests/v3d/vertex/E2 Diff ] File ]
mod - tests/v3d/vertex/E3 Diff ] File ]
mod - tests/v3d/vertex/E4 Diff ] File ]
mod - tests/v3d/vertex/E5 Diff ] File ]
mod - tests/v3d/vertex/E6 Diff ] File ]
mod - tests/v3d/vertex/E7 Diff ] File ]
mod - tests/v3d/vertex/E8 Diff ] File ]
mod - tests/v3d/vertex/E9 Diff ] File ]
mod - tests/v3d/vertex/F1 Diff ] File ]
mod - tests/v3d/vertex/F2 Diff ] File ]
mod - tests/v3d/vertex_edge/A3 Diff ] File ]
mod - tests/v3d/vertex_edge/A4 Diff ] File ]
mod - tests/v3d/vertex_edge/A5 Diff ] File ]
mod - tests/v3d/vertex_edge/A6 Diff ] File ]
mod - tests/v3d/vertex_edge/A7 Diff ] File ]
mod - tests/v3d/vertex_edge/A8 Diff ] File ]
mod - tests/v3d/vertex_edge/A9 Diff ] File ]
mod - tests/v3d/vertex_edge/B1 Diff ] File ]
mod - tests/v3d/vertex_edge/C3 Diff ] File ]
mod - tests/v3d/vertex_edge/C4 Diff ] File ]
mod - tests/v3d/vertex_edge/C5 Diff ] File ]
mod - tests/v3d/vertex_edge/C6 Diff ] File ]
mod - tests/v3d/vertex_edge/C7 Diff ] File ]
mod - tests/v3d/vertex_edge/C8 Diff ] File ]
mod - tests/v3d/vertex_edge/C9 Diff ] File ]
mod - tests/v3d/vertex_edge/D1 Diff ] File ]
mod - tests/v3d/vertex_edge/D2 Diff ] File ]
mod - tests/v3d/vertex_edge/D3 Diff ] File ]
mod - tests/v3d/vertex_edge/D4 Diff ] File ]
mod - tests/v3d/vertex_edge/D5 Diff ] File ]
mod - tests/v3d/vertex_edge/D6 Diff ] File ]
mod - tests/v3d/vertex_edge/D7 Diff ] File ]
mod - tests/v3d/vertex_edge/D8 Diff ] File ]
mod - tests/v3d/vertex_edge/D9 Diff ] File ]
mod - tests/v3d/vertex_edge/E1 Diff ] File ]
mod - tests/v3d/vertex_edge/E2 Diff ] File ]
mod - tests/v3d/vertex_edge/E3 Diff ] File ]
mod - tests/v3d/vertex_edge/E4 Diff ] File ]
mod - tests/v3d/vertex_edge/E5 Diff ] File ]
mod - tests/v3d/vertex_edge/E6 Diff ] File ]
mod - tests/v3d/vertex_edge/E7 Diff ] File ]
mod - tests/v3d/vertex_edge/E8 Diff ] File ]
mod - tests/v3d/vertex_edge/E9 Diff ] File ]
mod - tests/v3d/vertex_edge/F1 Diff ] File ]
mod - tests/v3d/vertex_edge/F2 Diff ] File ]
mod - tests/v3d/vertex_edge/F5 Diff ] File ]
mod - tests/v3d/vertex_edge/F6 Diff ] File ]
mod - tests/v3d/vertex_edge/F7 Diff ] File ]
mod - tests/v3d/vertex_edge/F8 Diff ] File ]
mod - tests/v3d/vertex_edge/F9 Diff ] File ]
mod - tests/v3d/vertex_edge/G1 Diff ] File ]
mod - tests/v3d/vertex_edge/G2 Diff ] File ]
mod - tests/v3d/vertex_edge/G3 Diff ] File ]
mod - tests/v3d/vertex_edge/H5 Diff ] File ]
mod - tests/v3d/vertex_edge/H6 Diff ] File ]
mod - tests/v3d/vertex_edge/H7 Diff ] File ]
mod - tests/v3d/vertex_edge/H8 Diff ] File ]
mod - tests/v3d/vertex_edge/H9 Diff ] File ]
mod - tests/v3d/vertex_edge/I1 Diff ] File ]
mod - tests/v3d/vertex_edge/I2 Diff ] File ]
mod - tests/v3d/vertex_edge/I3 Diff ] File ]
mod - tests/v3d/vertex_edge/I4 Diff ] File ]
mod - tests/v3d/vertex_edge/I5 Diff ] File ]
mod - tests/v3d/vertex_edge/I6 Diff ] File ]
mod - tests/v3d/vertex_edge/I7 Diff ] File ]
mod - tests/v3d/vertex_edge/I8 Diff ] File ]
mod - tests/v3d/vertex_edge/I9 Diff ] File ]
mod - tests/v3d/vertex_edge/J1 Diff ] File ]
mod - tests/v3d/vertex_edge/J2 Diff ] File ]
mod - tests/v3d/vertex_edge/J3 Diff ] File ]
mod - tests/v3d/vertex_edge/J4 Diff ] File ]
mod - tests/v3d/vertex_edge/J5 Diff ] File ]
mod - tests/v3d/vertex_edge/J6 Diff ] File ]
mod - tests/v3d/vertex_edge/J7 Diff ] File ]
mod - tests/v3d/vertex_edge/J8 Diff ] File ]
mod - tests/v3d/vertex_edge/J9 Diff ] File ]
mod - tests/v3d/vertex_edge/K1 Diff ] File ]
mod - tests/v3d/vertex_edge/K2 Diff ] File ]
mod - tests/v3d/vertex_edge/K3 Diff ] File ]
mod - tests/v3d/vertex_edge/K4 Diff ] File ]
mod - tests/v3d/vertex_face/A3 Diff ] File ]
mod - tests/v3d/vertex_face/A4 Diff ] File ]
mod - tests/v3d/vertex_face/A5 Diff ] File ]
mod - tests/v3d/vertex_face/A6 Diff ] File ]
mod - tests/v3d/vertex_face/A7 Diff ] File ]
mod - tests/v3d/vertex_face/A8 Diff ] File ]
mod - tests/v3d/vertex_face/A9 Diff ] File ]
mod - tests/v3d/vertex_face/B1 Diff ] File ]
mod - tests/v3d/vertex_face/C3 Diff ] File ]
mod - tests/v3d/vertex_face/C4 Diff ] File ]
mod - tests/v3d/vertex_face/C5 Diff ] File ]
mod - tests/v3d/vertex_face/C6 Diff ] File ]
mod - tests/v3d/vertex_face/C7 Diff ] File ]
mod - tests/v3d/vertex_face/C8 Diff ] File ]
mod - tests/v3d/vertex_face/C9 Diff ] File ]
mod - tests/v3d/vertex_face/D1 Diff ] File ]
mod - tests/v3d/vertex_face/D2 Diff ] File ]
mod - tests/v3d/vertex_face/D3 Diff ] File ]
mod - tests/v3d/vertex_face/D4 Diff ] File ]
mod - tests/v3d/vertex_face/D5 Diff ] File ]
mod - tests/v3d/vertex_face/D6 Diff ] File ]
mod - tests/v3d/vertex_face/D7 Diff ] File ]
mod - tests/v3d/vertex_face/D8 Diff ] File ]
mod - tests/v3d/vertex_face/D9 Diff ] File ]
mod - tests/v3d/vertex_face/E1 Diff ] File ]
mod - tests/v3d/vertex_face/E2 Diff ] File ]
mod - tests/v3d/vertex_face/E3 Diff ] File ]
mod - tests/v3d/vertex_face/E4 Diff ] File ]
mod - tests/v3d/vertex_face/E5 Diff ] File ]
mod - tests/v3d/vertex_face/E6 Diff ] File ]
mod - tests/v3d/vertex_face/E7 Diff ] File ]
mod - tests/v3d/vertex_face/E8 Diff ] File ]
mod - tests/v3d/vertex_face/E9 Diff ] File ]
mod - tests/v3d/vertex_face/F1 Diff ] File ]
mod - tests/v3d/vertex_face/F2 Diff ] File ]
mod - tests/v3d/vertex_face/F5 Diff ] File ]
mod - tests/v3d/vertex_face/F6 Diff ] File ]
mod - tests/v3d/vertex_face/F7 Diff ] File ]
mod - tests/v3d/vertex_face/F8 Diff ] File ]
mod - tests/v3d/vertex_face/F9 Diff ] File ]
mod - tests/v3d/vertex_face/G1 Diff ] File ]
mod - tests/v3d/vertex_face/G2 Diff ] File ]
mod - tests/v3d/vertex_face/G3 Diff ] File ]
mod - tests/v3d/vertex_face/H5 Diff ] File ]
mod - tests/v3d/vertex_face/H6 Diff ] File ]
mod - tests/v3d/vertex_face/H7 Diff ] File ]
mod - tests/v3d/vertex_face/H8 Diff ] File ]
mod - tests/v3d/vertex_face/H9 Diff ] File ]
mod - tests/v3d/vertex_face/I1 Diff ] File ]
mod - tests/v3d/vertex_face/I2 Diff ] File ]
mod - tests/v3d/vertex_face/I3 Diff ] File ]
mod - tests/v3d/vertex_face/I4 Diff ] File ]
mod - tests/v3d/vertex_face/I5 Diff ] File ]
mod - tests/v3d/vertex_face/I6 Diff ] File ]
mod - tests/v3d/vertex_face/I7 Diff ] File ]
mod - tests/v3d/vertex_face/I8 Diff ] File ]
mod - tests/v3d/vertex_face/I9 Diff ] File ]
mod - tests/v3d/vertex_face/J1 Diff ] File ]
mod - tests/v3d/vertex_face/J2 Diff ] File ]
mod - tests/v3d/vertex_face/J3 Diff ] File ]
mod - tests/v3d/vertex_face/J4 Diff ] File ]
mod - tests/v3d/vertex_face/J5 Diff ] File ]
mod - tests/v3d/vertex_face/J6 Diff ] File ]
mod - tests/v3d/vertex_face/J7 Diff ] File ]
mod - tests/v3d/vertex_face/J8 Diff ] File ]
mod - tests/v3d/vertex_face/J9 Diff ] File ]
mod - tests/v3d/vertex_face/K1 Diff ] File ]
mod - tests/v3d/vertex_face/K2 Diff ] File ]
mod - tests/v3d/vertex_face/K3 Diff ] File ]
mod - tests/v3d/vertex_face/K4 Diff ] File ]
mod - tests/v3d/vertex_solid/A3 Diff ] File ]
mod - tests/v3d/vertex_solid/A4 Diff ] File ]
mod - tests/v3d/vertex_solid/A5 Diff ] File ]
mod - tests/v3d/vertex_solid/A6 Diff ] File ]
mod - tests/v3d/vertex_solid/A7 Diff ] File ]
mod - tests/v3d/vertex_solid/A8 Diff ] File ]
mod - tests/v3d/vertex_solid/A9 Diff ] File ]
mod - tests/v3d/vertex_solid/B1 Diff ] File ]
mod - tests/v3d/vertex_solid/C3 Diff ] File ]
mod - tests/v3d/vertex_solid/C4 Diff ] File ]
mod - tests/v3d/vertex_solid/C5 Diff ] File ]
mod - tests/v3d/vertex_solid/C6 Diff ] File ]
mod - tests/v3d/vertex_solid/C7 Diff ] File ]
mod - tests/v3d/vertex_solid/C8 Diff ] File ]
mod - tests/v3d/vertex_solid/C9 Diff ] File ]
mod - tests/v3d/vertex_solid/D1 Diff ] File ]
mod - tests/v3d/vertex_solid/D2 Diff ] File ]
mod - tests/v3d/vertex_solid/D3 Diff ] File ]
mod - tests/v3d/vertex_solid/D4 Diff ] File ]
mod - tests/v3d/vertex_solid/D5 Diff ] File ]
mod - tests/v3d/vertex_solid/D6 Diff ] File ]
mod - tests/v3d/vertex_solid/D7 Diff ] File ]
mod - tests/v3d/vertex_solid/D8 Diff ] File ]
mod - tests/v3d/vertex_solid/D9 Diff ] File ]
mod - tests/v3d/vertex_solid/E1 Diff ] File ]
mod - tests/v3d/vertex_solid/E2 Diff ] File ]
mod - tests/v3d/vertex_solid/E3 Diff ] File ]
mod - tests/v3d/vertex_solid/E4 Diff ] File ]
mod - tests/v3d/vertex_solid/E5 Diff ] File ]
mod - tests/v3d/vertex_solid/E6 Diff ] File ]
mod - tests/v3d/vertex_solid/E7 Diff ] File ]
mod - tests/v3d/vertex_solid/E8 Diff ] File ]
mod - tests/v3d/vertex_solid/E9 Diff ] File ]
mod - tests/v3d/vertex_solid/F1 Diff ] File ]
mod - tests/v3d/vertex_solid/F2 Diff ] File ]
mod - tests/v3d/vertex_solid/F5 Diff ] File ]
mod - tests/v3d/vertex_solid/F6 Diff ] File ]
mod - tests/v3d/vertex_solid/F7 Diff ] File ]
mod - tests/v3d/vertex_solid/F8 Diff ] File ]
mod - tests/v3d/vertex_solid/F9 Diff ] File ]
mod - tests/v3d/vertex_solid/G1 Diff ] File ]
mod - tests/v3d/vertex_solid/G2 Diff ] File ]
mod - tests/v3d/vertex_solid/G3 Diff ] File ]
mod - tests/v3d/vertex_solid/H5 Diff ] File ]
mod - tests/v3d/vertex_solid/H6 Diff ] File ]
mod - tests/v3d/vertex_solid/H7 Diff ] File ]
mod - tests/v3d/vertex_solid/H8 Diff ] File ]
mod - tests/v3d/vertex_solid/H9 Diff ] File ]
mod - tests/v3d/vertex_solid/I1 Diff ] File ]
mod - tests/v3d/vertex_solid/I2 Diff ] File ]
mod - tests/v3d/vertex_solid/I3 Diff ] File ]
mod - tests/v3d/vertex_solid/I4 Diff ] File ]
mod - tests/v3d/vertex_solid/I5 Diff ] File ]
mod - tests/v3d/vertex_solid/I6 Diff ] File ]
mod - tests/v3d/vertex_solid/I7 Diff ] File ]
mod - tests/v3d/vertex_solid/I8 Diff ] File ]
mod - tests/v3d/vertex_solid/I9 Diff ] File ]
mod - tests/v3d/vertex_solid/J1 Diff ] File ]
mod - tests/v3d/vertex_solid/J2 Diff ] File ]
mod - tests/v3d/vertex_solid/J3 Diff ] File ]
mod - tests/v3d/vertex_solid/J4 Diff ] File ]
mod - tests/v3d/vertex_solid/J5 Diff ] File ]
mod - tests/v3d/vertex_solid/J6 Diff ] File ]
mod - tests/v3d/vertex_solid/J7 Diff ] File ]
mod - tests/v3d/vertex_solid/J8 Diff ] File ]
mod - tests/v3d/vertex_solid/J9 Diff ] File ]
mod - tests/v3d/vertex_solid/K1 Diff ] File ]
mod - tests/v3d/vertex_solid/K2 Diff ] File ]
mod - tests/v3d/vertex_solid/K3 Diff ] File ]
mod - tests/v3d/vertex_solid/K4 Diff ] File ]
mod - tests/v3d/vertex_wire/A3 Diff ] File ]
mod - tests/v3d/vertex_wire/A4 Diff ] File ]
mod - tests/v3d/vertex_wire/A5 Diff ] File ]
mod - tests/v3d/vertex_wire/A6 Diff ] File ]
mod - tests/v3d/vertex_wire/A7 Diff ] File ]
mod - tests/v3d/vertex_wire/A8 Diff ] File ]
mod - tests/v3d/vertex_wire/A9 Diff ] File ]
mod - tests/v3d/vertex_wire/B1 Diff ] File ]
mod - tests/v3d/vertex_wire/C3 Diff ] File ]
mod - tests/v3d/vertex_wire/C4 Diff ] File ]
mod - tests/v3d/vertex_wire/C5 Diff ] File ]
mod - tests/v3d/vertex_wire/C6 Diff ] File ]
mod - tests/v3d/vertex_wire/C7 Diff ] File ]
mod - tests/v3d/vertex_wire/C8 Diff ] File ]
mod - tests/v3d/vertex_wire/C9 Diff ] File ]
mod - tests/v3d/vertex_wire/D1 Diff ] File ]
mod - tests/v3d/vertex_wire/D2 Diff ] File ]
mod - tests/v3d/vertex_wire/D3 Diff ] File ]
mod - tests/v3d/vertex_wire/D4 Diff ] File ]
mod - tests/v3d/vertex_wire/D5 Diff ] File ]
mod - tests/v3d/vertex_wire/D6 Diff ] File ]
mod - tests/v3d/vertex_wire/D7 Diff ] File ]
mod - tests/v3d/vertex_wire/D8 Diff ] File ]
mod - tests/v3d/vertex_wire/D9 Diff ] File ]
mod - tests/v3d/vertex_wire/E1 Diff ] File ]
mod - tests/v3d/vertex_wire/E2 Diff ] File ]
mod - tests/v3d/vertex_wire/E3 Diff ] File ]
mod - tests/v3d/vertex_wire/E4 Diff ] File ]
mod - tests/v3d/vertex_wire/E5 Diff ] File ]
mod - tests/v3d/vertex_wire/E6 Diff ] File ]
mod - tests/v3d/vertex_wire/E7 Diff ] File ]
mod - tests/v3d/vertex_wire/E8 Diff ] File ]
mod - tests/v3d/vertex_wire/E9 Diff ] File ]
mod - tests/v3d/vertex_wire/F1 Diff ] File ]
mod - tests/v3d/vertex_wire/F2 Diff ] File ]
mod - tests/v3d/vertex_wire/F5 Diff ] File ]
mod - tests/v3d/vertex_wire/F6 Diff ] File ]
mod - tests/v3d/vertex_wire/F7 Diff ] File ]
mod - tests/v3d/vertex_wire/F8 Diff ] File ]
mod - tests/v3d/vertex_wire/F9 Diff ] File ]
mod - tests/v3d/vertex_wire/G1 Diff ] File ]
mod - tests/v3d/vertex_wire/G2 Diff ] File ]
mod - tests/v3d/vertex_wire/G3 Diff ] File ]
mod - tests/v3d/vertex_wire/H5 Diff ] File ]
mod - tests/v3d/vertex_wire/H6 Diff ] File ]
mod - tests/v3d/vertex_wire/H7 Diff ] File ]
mod - tests/v3d/vertex_wire/H8 Diff ] File ]
mod - tests/v3d/vertex_wire/H9 Diff ] File ]
mod - tests/v3d/vertex_wire/I1 Diff ] File ]
mod - tests/v3d/vertex_wire/I2 Diff ] File ]
mod - tests/v3d/vertex_wire/I3 Diff ] File ]
mod - tests/v3d/vertex_wire/I4 Diff ] File ]
mod - tests/v3d/vertex_wire/I5 Diff ] File ]
mod - tests/v3d/vertex_wire/I6 Diff ] File ]
mod - tests/v3d/vertex_wire/I7 Diff ] File ]
mod - tests/v3d/vertex_wire/I8 Diff ] File ]
mod - tests/v3d/vertex_wire/I9 Diff ] File ]
mod - tests/v3d/vertex_wire/J1 Diff ] File ]
mod - tests/v3d/vertex_wire/J2 Diff ] File ]
mod - tests/v3d/vertex_wire/J3 Diff ] File ]
mod - tests/v3d/vertex_wire/J4 Diff ] File ]
mod - tests/v3d/vertex_wire/J5 Diff ] File ]
mod - tests/v3d/vertex_wire/J6 Diff ] File ]
mod - tests/v3d/vertex_wire/J7 Diff ] File ]
mod - tests/v3d/vertex_wire/J8 Diff ] File ]
mod - tests/v3d/vertex_wire/J9 Diff ] File ]
mod - tests/v3d/vertex_wire/K1 Diff ] File ]
mod - tests/v3d/vertex_wire/K2 Diff ] File ]
mod - tests/v3d/vertex_wire/K3 Diff ] File ]
mod - tests/v3d/vertex_wire/K4 Diff ] File ]
mod - tests/v3d/wire/A3 Diff ] File ]
mod - tests/v3d/wire/A4 Diff ] File ]
mod - tests/v3d/wire/A5 Diff ] File ]
mod - tests/v3d/wire/A6 Diff ] File ]
mod - tests/v3d/wire/A7 Diff ] File ]
mod - tests/v3d/wire/A8 Diff ] File ]
mod - tests/v3d/wire/A9 Diff ] File ]
mod - tests/v3d/wire/B1 Diff ] File ]
mod - tests/v3d/wire/C3 Diff ] File ]
mod - tests/v3d/wire/C4 Diff ] File ]
mod - tests/v3d/wire/C5 Diff ] File ]
mod - tests/v3d/wire/C6 Diff ] File ]
mod - tests/v3d/wire/C7 Diff ] File ]
mod - tests/v3d/wire/C8 Diff ] File ]
mod - tests/v3d/wire/C9 Diff ] File ]
mod - tests/v3d/wire/D1 Diff ] File ]
mod - tests/v3d/wire/D2 Diff ] File ]
mod - tests/v3d/wire/D3 Diff ] File ]
mod - tests/v3d/wire/D4 Diff ] File ]
mod - tests/v3d/wire/D5 Diff ] File ]
mod - tests/v3d/wire/D6 Diff ] File ]
mod - tests/v3d/wire/D7 Diff ] File ]
mod - tests/v3d/wire/D8 Diff ] File ]
mod - tests/v3d/wire/D9 Diff ] File ]
mod - tests/v3d/wire/E1 Diff ] File ]
mod - tests/v3d/wire/E2 Diff ] File ]
mod - tests/v3d/wire/E3 Diff ] File ]
mod - tests/v3d/wire/E4 Diff ] File ]
mod - tests/v3d/wire/E5 Diff ] File ]
mod - tests/v3d/wire/E6 Diff ] File ]
mod - tests/v3d/wire/E7 Diff ] File ]
mod - tests/v3d/wire/E8 Diff ] File ]
mod - tests/v3d/wire/E9 Diff ] File ]
mod - tests/v3d/wire/F1 Diff ] File ]
mod - tests/v3d/wire/F2 Diff ] File ]
mod - tests/v3d/wire_solid/A3 Diff ] File ]
mod - tests/v3d/wire_solid/A4 Diff ] File ]
mod - tests/v3d/wire_solid/A5 Diff ] File ]
mod - tests/v3d/wire_solid/A6 Diff ] File ]
mod - tests/v3d/wire_solid/A7 Diff ] File ]
mod - tests/v3d/wire_solid/A8 Diff ] File ]
mod - tests/v3d/wire_solid/A9 Diff ] File ]
mod - tests/v3d/wire_solid/B1 Diff ] File ]
mod - tests/v3d/wire_solid/C3 Diff ] File ]
mod - tests/v3d/wire_solid/C4 Diff ] File ]
mod - tests/v3d/wire_solid/C5 Diff ] File ]
mod - tests/v3d/wire_solid/C6 Diff ] File ]
mod - tests/v3d/wire_solid/C7 Diff ] File ]
mod - tests/v3d/wire_solid/C8 Diff ] File ]
mod - tests/v3d/wire_solid/C9 Diff ] File ]
mod - tests/v3d/wire_solid/D1 Diff ] File ]
mod - tests/v3d/wire_solid/D2 Diff ] File ]
mod - tests/v3d/wire_solid/D3 Diff ] File ]
mod - tests/v3d/wire_solid/D4 Diff ] File ]
mod - tests/v3d/wire_solid/D5 Diff ] File ]
mod - tests/v3d/wire_solid/D6 Diff ] File ]
mod - tests/v3d/wire_solid/D7 Diff ] File ]
mod - tests/v3d/wire_solid/D8 Diff ] File ]
mod - tests/v3d/wire_solid/D9 Diff ] File ]
mod - tests/v3d/wire_solid/E1 Diff ] File ]
mod - tests/v3d/wire_solid/E2 Diff ] File ]
mod - tests/v3d/wire_solid/E3 Diff ] File ]
mod - tests/v3d/wire_solid/E4 Diff ] File ]
mod - tests/v3d/wire_solid/E5 Diff ] File ]
mod - tests/v3d/wire_solid/E6 Diff ] File ]
mod - tests/v3d/wire_solid/E7 Diff ] File ]
mod - tests/v3d/wire_solid/E8 Diff ] File ]
mod - tests/v3d/wire_solid/E9 Diff ] File ]
mod - tests/v3d/wire_solid/F1 Diff ] File ]
mod - tests/v3d/wire_solid/F2 Diff ] File ]
mod - tests/v3d/wire_solid/F5 Diff ] File ]
mod - tests/v3d/wire_solid/F6 Diff ] File ]
mod - tests/v3d/wire_solid/F7 Diff ] File ]
mod - tests/v3d/wire_solid/F8 Diff ] File ]
mod - tests/v3d/wire_solid/F9 Diff ] File ]
mod - tests/v3d/wire_solid/G1 Diff ] File ]
mod - tests/v3d/wire_solid/G2 Diff ] File ]
mod - tests/v3d/wire_solid/G3 Diff ] File ]
mod - tests/v3d/wire_solid/H5 Diff ] File ]
mod - tests/v3d/wire_solid/H6 Diff ] File ]
mod - tests/v3d/wire_solid/H7 Diff ] File ]
mod - tests/v3d/wire_solid/H8 Diff ] File ]
mod - tests/v3d/wire_solid/H9 Diff ] File ]
mod - tests/v3d/wire_solid/I1 Diff ] File ]
mod - tests/v3d/wire_solid/I2 Diff ] File ]
mod - tests/v3d/wire_solid/I3 Diff ] File ]
mod - tests/v3d/wire_solid/I4 Diff ] File ]
mod - tests/v3d/wire_solid/I5 Diff ] File ]
mod - tests/v3d/wire_solid/I6 Diff ] File ]
mod - tests/v3d/wire_solid/I7 Diff ] File ]
mod - tests/v3d/wire_solid/I8 Diff ] File ]
mod - tests/v3d/wire_solid/I9 Diff ] File ]
mod - tests/v3d/wire_solid/J1 Diff ] File ]
mod - tests/v3d/wire_solid/J2 Diff ] File ]
mod - tests/v3d/wire_solid/J3 Diff ] File ]
mod - tests/v3d/wire_solid/J4 Diff ] File ]
mod - tests/v3d/wire_solid/J5 Diff ] File ]
mod - tests/v3d/wire_solid/J6 Diff ] File ]
mod - tests/v3d/wire_solid/J7 Diff ] File ]
mod - tests/v3d/wire_solid/J8 Diff ] File ]
mod - tests/v3d/wire_solid/J9 Diff ] File ]
mod - tests/v3d/wire_solid/K1 Diff ] File ]
mod - tests/v3d/wire_solid/K2 Diff ] File ]
mod - tests/v3d/wire_solid/K3 Diff ] File ]
mod - tests/v3d/wire_solid/K4 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-28 15:31 kgv New Issue
2013-11-28 15:31 kgv Assigned To => san
2013-11-28 15:32 kgv Relationship added related to 0024001
2013-11-28 15:33 kgv Relationship added related to 0024393
2013-11-28 15:34 kgv Assigned To san => duv
2013-11-28 15:34 kgv Status new => assigned
2014-01-31 13:01 apl Assigned To duv => apl
2014-02-04 12:49 apl Note Added: 0027745
2014-02-04 12:49 apl Note Edited: 0027745 View Revisions
2014-02-04 14:22 apl File Added: panning_with_projection_shift.png
2014-02-04 14:23 apl File Added: panning_with_translation.png
2014-02-06 09:49 duv Note Added: 0027789
2014-02-06 17:40 apl Description Updated View Revisions
2014-02-10 11:37 apl Relationship added related to 0024609
2014-02-10 11:44 apl Relationship deleted related to 0024609
2014-02-10 11:45 apl Description Updated View Revisions
2014-02-10 11:49 apl Relationship added related to 0024287
2014-02-10 11:50 apl Note Added: 0027825
2014-02-17 13:22 apl Note Added: 0027915
2014-02-17 13:22 apl Assigned To apl => kgv
2014-02-17 13:22 apl Status assigned => resolved
2014-02-17 16:34 kgv Relationship added related to 0024119
2014-02-17 19:04 kgv Note Added: 0027933
2014-02-17 19:04 kgv Assigned To kgv => bugmaster
2014-02-17 19:04 kgv Status resolved => reviewed
2014-02-17 19:42 abv Note Added: 0027935
2014-02-17 19:45 mkv Assigned To bugmaster => mkv
2014-02-18 12:40 mkv Note Added: 0027947
2014-02-18 12:42 mkv Test case number => Not needed
2014-02-18 12:42 mkv Assigned To mkv => apl
2014-02-18 12:42 mkv Status reviewed => assigned
2014-02-20 11:48 apl Note Added: 0027979
2014-02-20 11:48 apl Note Edited: 0027979 View Revisions
2014-02-20 11:49 apl Note Edited: 0027979 View Revisions
2014-02-20 11:49 apl Note Edited: 0027979 View Revisions
2014-02-20 12:06 apl Note Added: 0027980
2014-02-20 12:06 apl Assigned To apl => kgv
2014-02-20 12:06 apl Status assigned => resolved
2014-02-20 12:31 kgv Note Added: 0027981
2014-02-20 12:31 kgv Assigned To kgv => bugmaster
2014-02-20 12:31 kgv Status resolved => reviewed
2014-02-20 13:26 apl Additional Information Updated View Revisions
2014-02-20 14:25 apl Additional Information Updated View Revisions
2014-02-20 16:32 mkv Assigned To bugmaster => mkv
2014-02-21 13:49 apl Additional Information Updated View Revisions
2014-02-21 13:50 apl Additional Information Updated View Revisions
2014-02-21 16:56 mkv Note Added: 0027997
2014-02-21 16:57 mkv Assigned To mkv => apl
2014-02-21 16:57 mkv Status reviewed => assigned
2014-02-21 17:01 mkv Note Edited: 0027997 View Revisions
2014-02-28 16:09 apl Note Added: 0028078
2014-02-28 16:09 apl Assigned To apl => kgv
2014-02-28 16:09 apl Status assigned => resolved
2014-02-28 17:37 kgv Note Added: 0028081
2014-02-28 17:37 kgv Assigned To kgv => bugmaster
2014-02-28 17:37 kgv Status resolved => reviewed
2014-02-28 18:03 apl Additional Information Updated View Revisions
2014-02-28 18:33 mkv Assigned To bugmaster => mkv
2014-03-03 18:13 mkv Note Added: 0028103
2014-03-03 18:13 mkv Assigned To mkv => apl
2014-03-03 18:13 mkv Status reviewed => assigned
2014-03-04 12:19 apl Note Added: 0028117
2014-03-04 12:19 apl Assigned To apl => kgv
2014-03-04 12:19 apl Status assigned => resolved
2014-03-04 12:25 kgv Note Added: 0028118
2014-03-04 12:25 kgv Assigned To kgv => bugmaster
2014-03-04 12:25 kgv Status resolved => reviewed
2014-03-04 13:08 mkv Assigned To bugmaster => mkv
2014-03-04 19:56 mkv Note Added: 0028140
2014-03-04 19:56 mkv Assigned To mkv => apl
2014-03-04 19:56 mkv Status reviewed => feedback
2014-03-05 10:34 apl Note Added: 0028142
2014-03-05 10:34 apl Assigned To apl => mkv
2014-03-05 10:34 apl Status feedback => reviewed
2014-03-05 10:35 apl Note Edited: 0028142 View Revisions
2014-03-05 11:51 mkv Note Added: 0028144
2014-03-05 11:52 mkv Assigned To mkv => bugmaster
2014-03-05 11:52 mkv Status reviewed => tested
2014-03-06 11:44 mkv Note Edited: 0028144 View Revisions
2014-03-06 11:45 mkv Note Edited: 0028103 View Revisions
2014-03-06 11:45 mkv Note Edited: 0028140 View Revisions
2014-03-11 14:41 abv Changeset attached => occt master 197ac94e
2014-03-11 14:41 abv Assigned To bugmaster => abv
2014-03-11 14:41 abv Status tested => verified
2014-03-11 14:41 abv Resolution open => fixed
2014-03-11 16:40 apl Relationship added related to 0024711
2014-03-13 12:44 san Relationship added related to 0024720
2014-03-14 15:34 kgv Relationship added related to 0024728
2014-04-04 12:06 abv Target Version 6.7.1 => 6.8.0
2014-04-18 14:45 kgv Relationship replaced has duplicate 0024287
2014-06-06 10:01 apl Relationship added related to 0024606
2014-07-09 14:31 kgv Relationship added related to 0023191
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed
2014-12-09 14:33 kgv Relationship added related to 0025575
2017-02-16 14:17 kgv Relationship added related to 0028460
2019-05-23 12:07 kgv Relationship added parent of 0030440


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker